Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 778314 - media-plugins/calf-0.90.3 - /.../ld: cannot find -lf
Summary: media-plugins/calf-0.90.3 - /.../ld: cannot find -lf
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Professional Audio Applications Maintainers
URL:
Whiteboard:
Keywords: PATCH
Depends on:
Blocks: slibtool
  Show dependency tree
 
Reported: 2021-03-26 08:01 UTC by Toralf Förster
Modified: 2021-04-13 23:59 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,18.45 KB, text/plain)
2021-03-26 08:01 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,344.18 KB, text/plain)
2021-03-26 08:02 UTC, Toralf Förster
Details
environment (environment,72.80 KB, text/plain)
2021-03-26 08:02 UTC, Toralf Förster
Details
etc.portage.tar.bz2 (etc.portage.tar.bz2,25.11 KB, application/x-bzip)
2021-03-26 08:02 UTC, Toralf Förster
Details
logs.tar.bz2 (logs.tar.bz2,10.22 KB, application/x-bzip)
2021-03-26 08:02 UTC, Toralf Förster
Details
media-plugins:calf-0.90.3:20210325-222248.log (media-plugins:calf-0.90.3:20210325-222248.log,92.44 KB, text/plain)
2021-03-26 08:02 UTC, Toralf Förster
Details
temp.tar.bz2 (temp.tar.bz2,25.24 KB, application/x-bzip)
2021-03-26 08:02 UTC, Toralf Förster
Details
https://github.com/calf-studio-gear/calf/pull/288 (calf-slibtool.patch,6.06 KB, patch)
2021-03-27 00:55 UTC, orbea
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2021-03-26 08:01:58 UTC
/usr/lib/gcc/x86_64-pc-linux-gnu/10.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: cannot find -lf
collect2: error: ld returned 1 exit status
rdlibtool: exec error upon slbt_exec_link_create_executable(), line 1614: (see child process error messages).
rdlibtool: < returned to > slbt_exec_link(), line 1934.

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_developer-20210316-105550

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-7.3.1
 [2] x86_64-pc-linux-gnu-10.2.0 *
clang version 11.1.0
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/11/bin
/usr/lib/llvm/11
11.1.0
Python 3.8.8
Available Ruby profiles:
  [1]   ruby26 (with Rubygems)
  [2]   ruby27 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.50.0 *
The following VMs are available for generation-2:
1)	IcedTea JDK 3.17.1 [icedtea-8]
2)	IcedTea JDK 3.16.0 [icedtea-bin-8]
3)	OpenJDK 8.282_p08 [openjdk-8]
*)	AdoptOpenJDK 8.282_p08 [openjdk-bin-8]
Available Java Virtual Machines:
  [1]   icedtea-8 
  [2]   icedtea-bin-8 
  [3]   openjdk-8 
  [4]   openjdk-bin-8  system-vm

The Glorious Glasgow Haskell Compilation System, version 8.10.4

  timestamp(s) of HEAD at this tinderbox image:
/var/db/repos/gentoo	Thu Mar 25 22:05:46 UTC 2021

emerge -qpvO media-plugins/calf
[ebuild  N    ] media-plugins/calf-0.90.3  USE="gtk -experimental -jack -lash -lv2 -static-libs" CPU_FLAGS_X86="sse"
Comment 1 Toralf Förster gentoo-dev 2021-03-26 08:01:59 UTC
Created attachment 693837 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2021-03-26 08:02:02 UTC
Created attachment 693840 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2021-03-26 08:02:04 UTC
Created attachment 693843 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2021-03-26 08:02:06 UTC
Created attachment 693846 [details]
etc.portage.tar.bz2
Comment 5 Toralf Förster gentoo-dev 2021-03-26 08:02:08 UTC
Created attachment 693849 [details]
logs.tar.bz2
Comment 6 Toralf Förster gentoo-dev 2021-03-26 08:02:10 UTC
Created attachment 693852 [details]
media-plugins:calf-0.90.3:20210325-222248.log
Comment 7 Toralf Förster gentoo-dev 2021-03-26 08:02:12 UTC
Created attachment 693855 [details]
temp.tar.bz2
Comment 8 orbea 2021-03-27 00:55:45 UTC
Created attachment 694596 [details, diff]
https://github.com/calf-studio-gear/calf/pull/288

calf has two issues, they are not using canonical libtool library names which has surprising results in slibtool. Regardless its best to fix the library names.

Additionally they install a library created with libtool with GNU install from the .libs directory. This is fragile and it should just use libtool to install the library if its really desired.
Comment 9 orbea 2021-03-27 00:58:25 UTC
The patch was instantly merged upstream. :)
Comment 10 Larry the Git Cow gentoo-dev 2021-03-27 02:57:59 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=72bb48ebb72df803c96a77beb21463f7de2447f6

commit 72bb48ebb72df803c96a77beb21463f7de2447f6
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2021-03-27 02:35:09 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2021-03-27 02:57:40 +0000

    media-plugins/calf: fix build with slibtool
    
    Thanks-to: orbea <orbea@riseup.net>
    Closes: https://bugs.gentoo.org/778314
    Signed-off-by: Sam James <sam@gentoo.org>

 media-plugins/calf/calf-0.90.3.ebuild              |   1 +
 .../calf/files/calf-0.90.3-slibtool.patch          | 118 +++++++++++++++++++++
 2 files changed, 119 insertions(+)
Comment 11 Larry the Git Cow gentoo-dev 2021-04-13 22:37:56 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ac4548716579aa4098ab08dc74b89a4f4ad0a88b

commit ac4548716579aa4098ab08dc74b89a4f4ad0a88b
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2021-04-13 21:57:38 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2021-04-13 22:37:40 +0000

    media-plugins/calf: disable broken slibtool patch for now
    
    Seems to break some symlinks, pending fix upstream.
    
    Closes: https://bugs.gentoo.org/779343
    Bug: https://bugs.gentoo.org/778314
    Signed-off-by: Sam James <sam@gentoo.org>

 .../{calf-0.90.3.ebuild => calf-0.90.3-r1.ebuild}  |   1 -
 .../calf/files/calf-0.90.3-slibtool.patch          | 118 ---------------------
 2 files changed, 119 deletions(-)
Comment 12 Sam James archtester gentoo-dev Security 2021-04-13 23:59:37 UTC
See https://bugs.gentoo.org/779343#c2